Punto informatico Network
Login Esegui login | Non sei registrato? Iscriviti ora (è gratuito!)
Username: Password:
  • Annuncio Pubblicitario

Permessi per Apache

Un virus si è intromesso nel tuo computer? Vuoi navigare in tutta sicurezza? Sono sicure le transazione online? Come impedire a malintenzionati di intromettersi nel tuo pc? Come proteggere i tuoi dati? Qui trovi le risposte a queste ed altre domande

Permessi per Apache

Messaggioda ssjx » lun feb 20, 2006 4:22 pm

Salve a tutti

ho installato sul mio PC il server Apache per testare script PHP, forum e CMS vari senza dover caricare tutto via ftp

solo che mi sorge un dubbio sul fronte della sicurezza, ovvero quando lo avvio mi chiede il permesso (attraverso Zonealarm) di funzionare da server, accettare connssioni e accedere ad internet

ora quello che volevo sapere è se devo dargli questi permessi o no visto che tutto quello che provo è sul mio pc quindi in teoria nn dovrebbe prendere nienete da inetrnet

la cosa mi preoccupa soprattutto perché ho visto che riceve molte richieste di connessione ma nn so chi o cosa sono (ZA mi mostra solo gli IP)

Inoltre c'è da aggiungere che le versioni che uso sono Apache (1.3.23), MySQL (3.23.48) e PHP(4.1.1) quindi si tratta di versioni molto vecchie () diversi anni (ho usato il pacchetto PHPTriad) ed in più uso win98SE che aggiunge anche le sue falle, quindi nn sto certo tranquillo

Come dovrei comportarmi?

grazie
Usavo IE e mi lamentavo... usavo Mozilla e mi lamentavo, decisamente meno ma mi lamentavo, ... poi ho trovato Opera e fu amore a prima vista
Avatar utente
ssjx
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 5756
Iscritto il: ven nov 26, 2004 3:37 pm
Località: Barcellona

Messaggioda atomik » lun feb 20, 2006 8:20 pm

Tenta solo di mettersi in ascolto sull'interfaccia di rete esterna per servire le richieste di connessione.

Cambia la configurazione in modo che serve solo le richieste locali (quindi localhost o 127.0.0.1 che sia), cosi non hai problemi di sorta.
Questo devi farlo anche per MySQL, devi fargli accettare solo richieste locali.
Avatar utente
atomik
Senior Member
Senior Member
 
Messaggi: 266
Iscritto il: gio feb 24, 2005 1:42 pm
Località: Catania

Messaggioda ssjx » sab feb 25, 2006 9:55 pm

Scusate ma dato che ci siamo ho pensato di aggiornare Apache

solo che non riesco a capire quale file dovrei scaricare ................ il punto migliore in cui sono arrivato è questo:

http://www.apache.org/dist/httpd/binaries/win32/

mi dite quale versione dovrei scaricare visto che uso win98SE ? nn ci si capisce na mazza [boxed]
Usavo IE e mi lamentavo... usavo Mozilla e mi lamentavo, decisamente meno ma mi lamentavo, ... poi ho trovato Opera e fu amore a prima vista
Avatar utente
ssjx
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 5756
Iscritto il: ven nov 26, 2004 3:37 pm
Località: Barcellona


Messaggioda ssjx » lun feb 27, 2006 6:16 pm

possibile che su MLI (e dico MLI mica un sito qualsiasi [:-D] ) nessuno sappia darmi il link per scaricare la versione corretta di Apache ?

Uso win98SE ............ se serve qualcos'altro ditemi
Usavo IE e mi lamentavo... usavo Mozilla e mi lamentavo, decisamente meno ma mi lamentavo, ... poi ho trovato Opera e fu amore a prima vista
Avatar utente
ssjx
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 5756
Iscritto il: ven nov 26, 2004 3:37 pm
Località: Barcellona

Messaggioda Rumez » lun feb 27, 2006 6:29 pm

prova da qui...
http://httpd.apache.org/download.cgi
io ho scaricato i bianri per win della versione 2.0.55
Avatar utente
Rumez
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 1783
Iscritto il: mar mag 13, 2003 2:08 pm

Messaggioda ssjx » ven mar 03, 2006 5:42 pm

Ho provato ma quando eseguo il programma di installazione mi esce questo messaggio


Immagine


che significa?
Usavo IE e mi lamentavo... usavo Mozilla e mi lamentavo, decisamente meno ma mi lamentavo, ... poi ho trovato Opera e fu amore a prima vista
Avatar utente
ssjx
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 5756
Iscritto il: ven nov 26, 2004 3:37 pm
Località: Barcellona

Messaggioda ssjx » ven mar 03, 2006 6:10 pm

Ho risolto scaricando il pacchetto .msi

però adesso ho alcuni nuovi problemi

nella vecchia versione che avevo nel menu start c'erano 3 link: Start apache, Stop apache e Restart apache

purtroppo adesso non ci sono più e non so come fare a chiudere il server ............ che comando devo usare?
Usavo IE e mi lamentavo... usavo Mozilla e mi lamentavo, decisamente meno ma mi lamentavo, ... poi ho trovato Opera e fu amore a prima vista
Avatar utente
ssjx
Membro Ufficiale (Gold)
Membro Ufficiale (Gold)
 
Messaggi: 5756
Iscritto il: ven nov 26, 2004 3:37 pm
Località: Barcellona


Torna a Sicurezza

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti

Powered by phpBB © 2002, 2005, 2007, 2008 phpBB Group
Traduzione Italiana phpBB.it

megalab.it: testata telematica quotidiana registrata al Tribunale di Cosenza n. 22/09 del 13.08.2009, editore Master New Media S.r.l.; © Copyright 2008 Master New Media S.r.l. a socio unico - P.I. 02947530784. GRUPPO EDIZIONI MASTER Spa Tutti i diritti sono riservati. Per la pubblicità: Master Advertising